Index: code/branches/objecthierarchy/src/core/Identifier.h
===================================================================
--- code/branches/objecthierarchy/src/core/Identifier.h	(revision 1946)
+++ code/branches/objecthierarchy/src/core/Identifier.h	(revision 1947)
@@ -552,5 +552,6 @@
                     }
 
-                    abort();
+                    assert(false);
+                    return 0;
                 }
             }
Index: code/branches/objecthierarchy/src/network/NetworkCallback.h
===================================================================
--- code/branches/objecthierarchy/src/network/NetworkCallback.h	(revision 1946)
+++ code/branches/objecthierarchy/src/network/NetworkCallback.h	(revision 1947)
@@ -13,5 +13,5 @@
 
   template <class T>
-  class _NetworkExport NetworkCallback: public NetworkCallbackBase
+  class NetworkCallback: public NetworkCallbackBase
   {
     public:
Index: code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc	(revision 1946)
+++ code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc	(revision 1947)
@@ -27,4 +27,5 @@
  */
 
+#include "OrxonoxStableHeaders.h"
 #include "Gametype.h"
 
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc	(revision 1946)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc	(revision 1947)
@@ -27,4 +27,5 @@
  */
 
+#include "OrxonoxStableHeaders.h"
 #include "Info.h"
 
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/LevelInfo.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/LevelInfo.cc	(revision 1946)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/LevelInfo.cc	(revision 1947)
@@ -27,4 +27,5 @@
  */
 
+#include "OrxonoxStableHeaders.h"
 #include "LevelInfo.h"
 
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc	(revision 1946)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc	(revision 1947)
@@ -27,4 +27,5 @@
  */
 
+#include "OrxonoxStableHeaders.h"
 #include "PlayerInfo.h"
 
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc	(revision 1946)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc	(revision 1947)
@@ -27,4 +27,5 @@
  */
 
+#include "OrxonoxStableHeaders.h"
 #include "PositionableEntity.h"
 #include "core/CoreIncludes.h"
Index: code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 1946)
+++ code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 1947)
@@ -27,4 +27,5 @@
  */
 
+#include "OrxonoxStableHeaders.h"
 #include "WorldEntity.h"
 
Index: code/branches/objecthierarchy/visual_studio/vc8/network.vcproj
===================================================================
--- code/branches/objecthierarchy/visual_studio/vc8/network.vcproj	(revision 1946)
+++ code/branches/objecthierarchy/visual_studio/vc8/network.vcproj	(revision 1947)
@@ -157,4 +157,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\network\ClientConnectionListener.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\network\ClientInformation.cc"
 				>
@@ -239,4 +243,8 @@
 			</File>
 			<File
+				RelativePath="..\..\src\network\ClientConnectionListener.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\network\ClientInformation.h"
 				>
Index: code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj	(revision 1946)
+++ code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj	(revision 1947)
@@ -215,4 +215,40 @@
 					>
 				</File>
+				<Filter
+					Name="worldentities"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\PositionableEntity.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\WorldEntity.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="gametypes"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\gametypes\Gametype.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="infos"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\Info.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\LevelInfo.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\PlayerInfo.cc"
+						>
+					</File>
+				</Filter>
 			</Filter>
 			<Filter
@@ -515,4 +551,40 @@
 					>
 				</File>
+				<Filter
+					Name="worldentities"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\PositionableEntity.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\WorldEntity.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="gametypes"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\gametypes\Gametype.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="infos"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\Info.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\LevelInfo.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\infos\PlayerInfo.h"
+						>
+					</File>
+				</Filter>
 			</Filter>
 			<Filter
